﻿using DbContextLib;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Model.DTO;
using Services;

namespace API.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class UserController : Controller
    {
        private IDataService _userDataService;

        public UserController(IDataService userDataService)
        {
            _userDataService = userDataService;
        }

        [HttpGet("users/{page}/{number}")]
        public IActionResult GetUsers(int page, int number) 
        {
            return Ok(_userDataService.GetUsers(page, number));
        }
    }
}
